%global gitdate 20160729
%global commit0 2f9560139354a31075d7cfcc0182fa26edeb2716

Name:           lxqt-admin
Version:        0.10.0
%if 0%{?gitdate}
Release:        3.%{gitdate}git%(c=%{commit0}; echo ${c:0:7} )%{?dist}
%else
Release:        3%{?dist}
%endif
Summary:        LXQt system administration tool

License:        LGPLv2+
URL:            https://github.com/lxde/%{name}
%if 0%{?gitdate}
Source0:        %{url}/archive/%{commit0}.tar.gz#/%{name}-%{commit0}.tar.gz
%else
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
%endif

BuildRequires:  pkgconfig(lxqt)
BuildRequires:  desktop-file-utils

BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qt5-linguist

Requires:       polkit

%description
This package provides tools to adjust settings of the operating system
LXQt is running on. Both can be launched from GUI "Configuration Center".

GUI "Time and date configuration", binary lxqt-admin-time, can be used
to adjust the system time of the operating system as well as the timezone.


%prep
%if 0%{?gitdate}
%setup -qn%{name}-%{commit0}
%else
%setup -q
%endif

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake_lxqt ..
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}
# Exclude category as been Service 
find %{buildroot}%{_datadir}/applications -name \*.desktop -exec \
 desktop-file-edit --remove-category=LXQt --remove-only-show-in=LXQt \
 --add-only-show-in=X-LXQt '{}' \;

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}*.desktop


%files
%license COPYING
%doc AUTHORS README.md
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/polkit-1/actions/*.policy


%changelog
* Sat Aug 06 2016 Raphael Groner <projects.rg@smart.ms> - 0.10.0-3.20160729git2f95601
- new git snapshot
- fix unlicensed files

* Wed Jul 06 2016 Raphael Groner <projects.rg@smart.ms> - 0.10.0-2.20160705git8acfd2a
- new git snapshot
- drop dependency to liboobs
- add polkit
- adjust license

* Tue Jun 07 2016 Raphael Groner <projects.rg@smart.ms> - 0.10.0-1.20160531git0f9ab3a
- initial
